usage.text=SNMP4J-SMI SnmpWalk Tool, version {0}\n\
Type ''java -cp snmp4j-smi.jar;SnmpWalk.class help <command>''\n\
for help on a specific command.\n\
Type ''java -cp snmp4j-smi.jar;SnmpWalk.class [options] walk <address> <OID>''\n\
to walk a SNMP agent's MIB subtree.\n\
\n\
Most commands take agent address and OID list arguments. A list of the\n\
available options for each command is listed after the command description.\n\
The description of all options follows the command list.\n\
\n\
Standard parameter formats are:\n\n\
<OID>:\n\
An object identifier is either a dotted notation like '1.3.6.1.2.2.1.0' or\n\
by an object name (requires MIB information) like 'IF-MIB:ifDescr.0' or 'sysName'\n\n\
<address>: [upd:|tcp:|tls:]<host>[/<port>]\n\
Host is either an IP address or hostname and port is the SNMP port\n\
of the target SNMP entity.\n\n
tabs=4,5,6,28,40
options.syn.a=authProtocol
options.des.a=Set the authentication protocol used to authenticate SNMPv3 messages. Valid values are MD5 and SHA.
options.syn.A=authPassphrase
options.des.A=Set the authentication pass phrase for authenticated SNMPv3 messages.
options.syn.bc=engineBootCount
options.des.bc=Set the engine boot count to the specified value greater or equal to zero. Default is zero.
options.syn.c=community
options.des.c=Set the community for SNMPv1/v2c messages.
options.syn.Cn=non-repeaters
options.des.Cn=Set the non-repeaters field for GETBULK PDUs. It specifies the number of supplied variables that should not be iterated over. The default is 0.
options.syn.Cr=max-repetitions
options.des.Cr=Set the max-repetitions field for GETBULK PDUs. This specifies the maximum number of iterations over the repeating variables. The default is 10.
options.syn.e=engineID
options.des.e=Set the authoritative engine ID of the command responder used for SNMPv3 request messages. If not supplied, the engine ID will be discovered.
options.syn.E=contextEngineID
options.des.E=Set the context engine ID used for the SNMPv3 scoped PDU. The authoritative engine ID will be used for the context engine ID, if the latter is not specified.
options.syn.l=localEngineID
options.des.l=Set the local engine ID of the command generator and the notification receiver used for SNMPv3 request messages. This option can be used to avoid engine ID clashes through duplicate IDs leading to usmStatsNotInTimeWindows reports.
options.syn.m=mibModuleName
options.des.m=Load the specified MIB module from the MIB repository specified by the -M option. The mibModuleName can be a regular expression, e.g. use 'SNMPv2-.*' to load all MIB modules in the repository that start with 'SNMPv2-'.
options.syn.M=mibRepositoryPath
options.des.M=Set the path to the MIB repository to be used to resolve object names (OIDs) and parse/format object values ('repository' is the default). The repository directory must contain compiled MIB modules files only.
options.syn.Msmi=mibRepositoryPath
options.des.Msmi=Set the path to the MIB repository to be used to resolve object names (OIDs) and parse/format object values ('repository' is the default). The MIB repository directory must contain SMI MIB files (v1/v2). The file names of the MIB files have to match their MIB module name.
options.syn.n=contextName
options.des.n=Set the target context name for SNMPv3 messages. Default is the empty string.
options.syn.Ors=maxSizeRespPDU
options.des.Ors=The maximum size of the response PDU in bytes.
options.syn.y=privacyProtocol
options.des.y=Set the privacy protocol to be used to encrypt SNMPv3 messages. Valid values are DES, AES (AES128), AES192, AES256, and 3DES(DESEDE).
options.syn.Y=privacyPassphrase
options.des.Y=Set the privacy pass phrase for encrypted SNMPv3 messages.
options.syn.r=retries
options.des.r=Set the number of retries used for requests. A zero value will send out a request exactly once. Default is 1.
options.syn.t=timeout
options.des.t=Set the timeout in milliseconds between retries. Default is 1000 milliseconds.
options.syn.u=securityName
options.des.u=Set the security name for authenticated v3 messages.
options.syn.v=1|2c|3
options.des.v=Set the SNMP protocol version to be used. Default is 3.
options.syn.Ta=agentAddress
options.des.Ta=Set the agent address field of a V1TRAP PDU. The default value is '0.0.0.0'.
options.syn.Te enterpriseOID
options.des.Te=Set the enterprise OID field of a V1TRAP PDU.
options.syn.Tg=genericID
options.des.Tg=Set the generic ID for SNMPv1 TRAPs (V1TRAP). The default is 0 (coldStart).
options.syn.To=trapOID
options.des.To=Sets the trapOID (1.3.6.1.6.3.1.1.4.1.0) of an INFORM or TRAP PDU. The default is 1.3.6.1.6.3.1.1.5.1.
options.syn.Ts=specificID
options.des.Ts=Set the specific ID for V1TRAP PDU. The default is 0.
options.syn.Tu=upTime
options.des.Tu=Set the sysUpTime field of an INFORM, TRAP, or V1TRAP PDU.
options.syn.CB=
options.des.CB=Display brief column headers. Common prefixes will be dropped.
options.syn.CH=
options.des.CH=Do not display column headers.
options.syn.Ci=
options.des.Ci=Prepend the index for each printed row.
options.syn.Cc=columnWidth
options.des.Cc=Print table columns with specified character width.
options.syn.Cf=columnSeparator
options.des.Cf=Separate table columns with the specified separator string. The table is printed in compact form. By default columns are separated by spaces and aligned.
options.syn.Ch=
options.des.Ch=Display only column headers.
options.syn.OtCSV=
options.des.OtCSV=For each SNMP row received exactly one row of comma separated values will printed to the console where the first column contains the row index.
options.syn.Otd=
options.des.Otd=Activates dense table operation mode which improves table retrieval performance on regular (dense) tables. This option must not be used with sparse tables.
options.syn.OttCSV=
options.des.OttCSV=Same as -OtCSV except that each row's first column will report the current time (millis after 1.1.1970) when the request has been sent.
options.syn.w=consoleWidth
options.des.w=Specifies the width of the console output, default is 80 characters.
options.syn.s=
options.des.s=Suppress any output on stderr (silent mode).
options.syn.ilo=
options.des.ilo=Do not check for lexicographic ordering errors while walking a subtree. Using this option may cause endless looping if an agent does not implement lexicographic ordering correctly!
options.syn.CE=usmUserTableEngineID
options.des.CE=Set usmUserTableEngineID to be used as part of the index of the usmUserTable. Default is to use the authoritative engine ID (set via -e or probed) as the usmUserTableEngineID.
options.syn.createAndWait=
options.des.createAndWait=Use the createAndWait(5) RowStatus to create new rows instead of createAndGo(4) which might not be supported on certain devices.
options.syn.tls-local-id=certAlias
options.des.tls-local-id=The local certificate alias identity which selects a certificate chain from the local key store. Only the selected certificate chain will be presented to the remote SNMP engine. Use this option with the "tls:" transport domain.
options.syn.tls-peer-id=subjectDN
options.des.tls-peer-id=The subject DN (e.g., "EMAILADDRESS=email@host.com, C=US, CN=My Name") of the trusted certificate presented by the remote SNMP engine ID. Use this option with the "tls:" transport domain.
options.syn.tls-trust-ca=issuerDN
options.des.tls-trust-ca=The issuer DN (e.g., "Company Name CA") of a trusted certification authority (CA) presented by the remote SNMP engine ID.
options.syn.tls-version=tlsVersion
options.des.tls-version=The TLS version to use with the 'tls:' transport protocol. Currently only 'TLSv1' is supported. This is also the default.
options.syn.Djavax.net.ssl.keyStore=keyStoreFile
options.des.Djavax.net.ssl.keyStore=The key store file with SSL keys for the TLS protocol.
options.syn.Djavax.net.ssl.keyStorePassword=keyStorePassword
options.des.Djavax.net.ssl.keyStorePassword=The password for the key store file with SSL keys for TLS.
options.syn.Djavax.net.ssl.trustStore=keyStoreFile
options.des.Djavax.net.ssl.trustStore=The trust store file with trusted (public) SSL keys for the TLS protocol.
options.syn.Djavax.net.ssl.trustStorePassword=keyStorePassword
options.des.Djavax.net.ssl.trustStorePassword=The password for the trust store file.
command.syn.help=help [command]|all
command.des.help=Display this message and then exits the application. If command is specified then specific help on that command is displayed. By specifying 'all' as [command] a description for each command is displayed.
command.syn.mib=mib <action> [<mib>]
command.des.mib=Add MIB files to a MIB repository or remove MIB modules from it. The MIB repository directory has to be specified by the mandatory options -M.
command.sub.mib=add,del,list
command.syn.mib.add=<mib-file>
command.des.mib.add=Compiles and then adds the MIB module(s) contained in 'mib-file' to the MIB repository specified by -M.
command.syn.mib.del=<mib-module-name>
command.des.mib.del=Removes the MIB module with name 'mib-module-name' from the MIB repository specified by -M.
command.syn.mib.list=
command.des.mib.list=List all MIB modules in the MIB repository specified by -M.
SNMP4J-CLT -c public -v 2c -Ot -m IF-MIB localhost ifDescr#ifInOctets 1.3.6.1.2.1.2.2.1.16
command.syn.walk=walk <address> <OID>
command.des.walk=The walk operation mode uses GETNEXT or GETBULK PDUs to retrieve a MIB subtree with the specified root OID.
command.syn.dump=dump
command.des.dump=Dump the SMI text of all MIB objects from the loaded MIB modules to stdout.